using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using System.Threading.Tasks;
using System.Windows.Forms;
using UniMarc.Properties;

namespace UniMarc
{
    public static class PUB
    {
        public static arUtil.Log log;
        public static UserSetting setting;

        public static void Init()
        {
            #region "Log setting"
            var logsubdir = "{yyyy|MM|dd}";
            string tPath = string.Format("{0}\\LOG", AppDomain.CurrentDomain.BaseDirectory).Replace("\\\\", "\\"); ;
            PUB.log = new arUtil.Log(tPath);
            PUB.log.SubDirectory = logsubdir;
            PUB.log.FileNameFormat = "{yyMMdd}";
            #endregion
            
            setting = new UserSetting();
            setting.Load();
        }

    }
}
